Package org.eclipse.rdf4j.repository.sparql.config

## Class SPARQLRepositoryConfig

- java.lang.Object
- - org.eclipse.rdf4j.repository.config.AbstractRepositoryImplConfig
  - - org.eclipse.rdf4j.repository.sparql.config.SPARQLRepositoryConfig

- All Implemented Interfaces:
    `RepositoryImplConfig`

      public class SPARQLRepositoryConfig
      extends AbstractRepositoryImplConfig

  Configuration for a SPARQL endpoint.
  Author:
    James Leigh

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `NAMESPACE` |
    `static IRI` | `PASS_THROUGH_ENABLED` | Configuration setting for enabling/disabling direct result pass-through.
    `static IRI` | `QUERY_ENDPOINT` | Configuration setting for the SPARQL query endpoint.
    `static IRI` | `UPDATE_ENDPOINT` | Configuration setting for the SPARQL update endpoint.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SPARQLRepositoryConfig()` |
    `SPARQLRepositoryConfig​(String queryEndpointUrl)` |
    `SPARQLRepositoryConfig​(String queryEndpointUrl, String updateEndpointUrl)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Resource` | `export​(Model m)` | Export this `RepositoryImplConfig` to its RDF representation
    `Boolean` | `getPassThroughEnabled()` |
    `String` | `getQueryEndpointUrl()` |
    `String` | `getUpdateEndpointUrl()` |
    `void` | `parse​(Model m, Resource implNode)` | Reads the properties of this `RepositoryImplConfig` from the supplied Model and sets them accordingly.
    `void` | `setPassThroughEnabled​(Boolean passThroughEnabled)` |
    `void` | `setQueryEndpointUrl​(String url)` |
    `void` | `setUpdateEndpointUrl​(String url)` |
    `void` | `validate()` | Validates this configuration.

    - ### Methods inherited from class org.eclipse.rdf4j.repository.config.AbstractRepositoryImplConfig

      `create, getType, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      See Also:
        Constant Field Values

    - #### QUERY_ENDPOINT

          public static final IRI QUERY_ENDPOINT

      Configuration setting for the SPARQL query endpoint. Required.

    - #### UPDATE_ENDPOINT

          public static final IRI UPDATE_ENDPOINT

      Configuration setting for the SPARQL update endpoint. Optional.

    - #### PASS_THROUGH_ENABLED

          public static final IRI PASS_THROUGH_ENABLED

      Configuration setting for enabling/disabling direct result pass-through. Optional.
      See Also:
        `SPARQLProtocolSession.isPassThroughEnabled()`

  - ### Constructor Detail

    - #### SPARQLRepositoryConfig

          public SPARQLRepositoryConfig()

    - #### SPARQLRepositoryConfig

          public SPARQLRepositoryConfig​(String queryEndpointUrl)

    - #### SPARQLRepositoryConfig

          public SPARQLRepositoryConfig​(String queryEndpointUrl,
                                        String updateEndpointUrl)

  - ### Method Detail

    - #### getQueryEndpointUrl

          public String getQueryEndpointUrl()

    - #### setQueryEndpointUrl

          public void setQueryEndpointUrl​(String url)

    - #### getUpdateEndpointUrl

          public String getUpdateEndpointUrl()

    - #### setUpdateEndpointUrl

          public void setUpdateEndpointUrl​(String url)

    - #### validate

          public void validate()
                        throws RepositoryConfigException

      Description copied from interface: `RepositoryImplConfig`
      Validates this configuration. A `RepositoryConfigException` is thrown when the configuration is invalid. The exception should contain an error message that indicates why the configuration is invalid.
      Specified by:
        `validate` in interface `RepositoryImplConfig`
      Overrides:
        `validate` in class `AbstractRepositoryImplConfig`
      Throws:
        `RepositoryConfigException` - If the configuration is invalid.

    - #### export

          public Resource export​(Model m)

      Description copied from interface: `RepositoryImplConfig`
      Export this `RepositoryImplConfig` to its RDF representation
      Specified by:
        `export` in interface `RepositoryImplConfig`
      Overrides:
        `export` in class `AbstractRepositoryImplConfig`
      Parameters:
        `m` - a `Model` object. After successful completion of this method this Model will contain the RDF representation of this `RepositoryImplConfig`.
      Returns:
        the subject `Resource` that identifies this `RepositoryImplConfig` in the Model.

    - #### parse

          public void parse​(Model m,
                            Resource implNode)
                     throws RepositoryConfigException

      Description copied from interface: `RepositoryImplConfig`
      Reads the properties of this `RepositoryImplConfig` from the supplied Model and sets them accordingly.
      Specified by:
        `parse` in interface `RepositoryImplConfig`
      Overrides:
        `parse` in class `AbstractRepositoryImplConfig`
      Parameters:
        `m` - a `Model` containing repository configuration data.
        `implNode` - the subject `Resource` that identifies the `RepositoryImplConfig` in the Model.
      Throws:
        `RepositoryConfigException` - if the configuration data could not be read from the supplied Model.

    - #### getPassThroughEnabled

          public Boolean getPassThroughEnabled()

      Returns:
        the passThroughEnabled

    - #### setPassThroughEnabled

          public void setPassThroughEnabled​(Boolean passThroughEnabled)

      Parameters:
        `passThroughEnabled` - the passThroughEnabled to set